Subject: Re: [mpls-tp] poll on draft-swallow-mpls-tp-identifiers-02.txt for wgdraft

From: "BUSI ITALO" <[email-masked]>
Date: Fri, 6 Nov 2009 17:35:00 +0100

I am sorry to say that there are some open issues in the draft that need
to be resolved before I can consider it a good enough starting point.

As a consequence I can support this draft to become a WG document if and
only if the following comments are addressed:

1) Lack of ITU-T based MEP_ID format for LSPs and PWs

The draft correclty defines the ICC-based MEG_ID (that is globally
unique identifier for the MEG). In order to identify a MEP within an
MEG, we need an MEP_Index (unique within the context of the MEG) such
that the MEP_ID = MEG_ID::MEP_Index provides a globally unique
identifier for the MEPs based on ITU-T conventions.

2) Section 7.2.2.2. is not very clear and it seems not aligned with the
OAM Framework

I would propse to remove the section from the draft pending discussion
within the context of the OAM Framework.

3) Section 4

It is not clear whether the usage of the Logical Interface Handle (LIH)
has relationship with the LIH field as defined in RFC 2205. This is not
consistent with RFC 4990.

If this is just a terminology issue, it would be better to rename LIH
with a different name like interaface number (IF_Num) to avoid confusion
and misinterpreations.

I am also preparing a list of other detailed comments but none of them
is conditional for WG adoption.

Thanks, Italo

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] 
> On Behalf Of Loa Andersson
> Sent: Monday, October 26, 2009 9:50 PM
> To: [email-masked]; [email-masked]; [email-masked]; [email-masked]
> Subject: [CCAMP] poll on 
> draft-swallow-mpls-tp-identifiers-02.txt for wgdraft
> 
> All,
> 
> this is to start a two week poll in making
> 
> draft-swallow-mpls-tp-identifiers-02.txt
> 
> an MPLS working group document.
> 
> Send a mail to the [email-masked] mailing list, indicating
> "yes/support" or "no/do not support".
> 
> Comments on the content of the draft should be sent to the same
> mailing list with a different subject line.
> 
> The poll ends Sun Nov 8.
> 
> /Loa
> 
> MPLS WG co-chair
> 
> 
> -- 
> 
> 
> Loa Andersson                         email: 
> [email-masked]
> Sr Strategy and Standards Manager            [email-masked]
> Ericsson Inc                          phone: +46 10 717 52 13
>                                               +46 767 72 92 13
> _______________________________________________
> CCAMP mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ccamp
>

---

From: Stewart Bryant <[email-masked]>
Date: Fri, 06 Nov 2009 16:58:59 +0000

Italo

Moving a document to WG draft indicates that it is a good starting point 
from an overall technology point of view and that it should now move 
from the control of the individual authors to the control of the working 
group - i.e. a WG draft is a draft that the WG is working on.

I think that the draft fulfills  those requirements and that we should 
accept the draft and work the issues you have raised through the normal 
WG process.

Stewart

BUSI ITALO wrote:
> mpls-tp mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mpls-tp
>
>

---

From: <[email-masked]>
Date: Fri, 6 Nov 2009 17:01:28 +0000

Agreed, let's put the doc under the change control of the WG and then address Italo's comments. I don't believe (IMO) Italo's comments prevent us from taking the document under the change control of the WG. Ben

________________________________________
From: [email-masked] [[email-masked]] On Behalf Of Stewart Bryant [[email-masked]]
Sent: Friday, November 06, 2009 4:58 PM
To: BUSI ITALO
Cc: [email-masked]
Subject: Re: [mpls-tp] poll on draft-swallow-mpls-tp-identifiers-02.txt for wgdraft

Italo

Moving a document to WG draft indicates that it is a good starting point from an overall technology point of view and that it should now move from the control of the individual authors to the control of the working group - i.e. a WG draft is a draft that the WG is working on.

I think that the draft fulfills  those requirements and that we should accept the draft and work the issues you have raised through the normal WG process.

Stewart

BUSI ITALO wrote:

3) Section 4

Thanks, Italo

-----Original Message-----
From: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]]
On Behalf Of Loa Andersson
Sent: Monday, October 26, 2009 9:50 PM
To: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: [CCAMP] poll on
draft-swallow-mpls-tp-identifiers-02.txt for wgdraft

All,

Send a mail to the [email-masked]<mailto:[email-masked]> mailing list, indicating
"yes/support" or "no/do not support".

The poll ends Sun Nov 8.

/Loa

MPLS WG co-chair

--

Loa Andersson                         email:
[email-masked]<mailto:[email-masked]>
Sr Strategy and Standards Manager            [email-masked]<mailto:[email-masked]>
Ericsson Inc                          phone: +46 10 717 52 13
                                              +46 767 72 92 13
_______________________________________________
CCAMP mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/ccamp

_______________________________________________
mpls-tp mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/mpls-tp

---

From: "Drake, John E" <[email-masked]>
Date: Fri, 6 Nov 2009 09:04:06 -0800

Agreed 

> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Stewart Bryant
> Sent: Friday, November 06, 2009 8:59 AM
> To: BUSI ITALO
> Cc: [email-masked]
> Subject: Re: [mpls-tp] poll on 
> draft-swallow-mpls-tp-identifiers-02.txt forwgdraft
> 
> Italo
> 
> Moving a document to WG draft indicates that it is a good 
> starting point from an overall technology point of view and 
> that it should now move from the control of the individual 
> authors to the control of the working group - i.e. a WG draft 
> is a draft that the WG is working on.
> 
> I think that the draft fulfills  those requirements and that 
> we should accept the draft and work the issues you have 
> raised through the normal WG process. 
> 
> Stewart
> 
> 
> 
> BUSI ITALO wrote: 
>

---

From: "BUSI ITALO" <[email-masked]>
Date: Fri, 6 Nov 2009 18:16:37 +0100

Stewart,
 
I prefectly understand your point. In fact, as mentioned at the end of
the mail, I have other comments that could be addressed after the
document becomes a WG draft.
 
I therefore focused on the issues that I consider blocking for the
acceptance of the draft as a good starting point.
 
I do not think it would be a big deal to address them:
 
- comment 1 can be easily addressed via cut&paste of the text in my mail
(with minor edits)
 
- comment 2 can be easily addressed removing the section or adding an
editor's note clarify that the section needs major rework
 
- comment 3, if it is a terminology issue as I guess, can be easily
solved by replacing LIH with IF_Num.
 
On the process side, I have no issue if these changes are done in the
-00 version of the WG draft.
 
Given these facts, I fail to understand the reluctancy to address these
comments before the document becomes a WG draft.
 
Italo

________________________________

	From: Stewart Bryant [mailto:[email-masked]] 
	Sent: Friday, November 06, 2009 5:59 PM
	To: BUSI ITALO
	Cc: [email-masked]
	Subject: Re: [mpls-tp] poll on
draft-swallow-mpls-tp-identifiers-02.txt for wgdraft

	Italo
	
	Moving a document to WG draft indicates that it is a good
starting point from an overall technology point of view and that it
should now move from the control of the individual authors to the
control of the working group - i.e. a WG draft is a draft that the WG is
working on.
	
	I think that the draft fulfills  those requirements and that we
should accept the draft and work the issues you have raised through the
normal WG process. 
	
	Stewart

	BUSI ITALO wrote: 

		I am sorry to say that there are some open issues in the
draft that need
		to be resolved before I can consider it a good enough
starting point.
		
		As a consequence I can support this draft to become a WG
document if and
		only if the following comments are addressed:

		The draft correclty defines the ICC-based MEG_ID (that
is globally
		unique identifier for the MEG). In order to identify a
MEP within an
		MEG, we need an MEP_Index (unique within the context of
the MEG) such
		that the MEP_ID = MEG_ID::MEP_Index provides a globally
unique
		identifier for the MEPs based on ITU-T conventions.
		
		2) Section 7.2.2.2. is not very clear and it seems not
aligned with the
		OAM Framework
		
		I would propse to remove the section from the draft
pending discussion
		within the context of the OAM Framework.
		
		3) Section 4
		
		It is not clear whether the usage of the Logical
Interface Handle (LIH)
		has relationship with the LIH field as defined in RFC
2205. This is not
		consistent with RFC 4990.
		
		If this is just a terminology issue, it would be better
to rename LIH
		with a different name like interaface number (IF_Num) to
avoid confusion
		and misinterpreations.
		
		I am also preparing a list of other detailed comments
but none of them
		is conditional for WG adoption.
		
		Thanks, Italo

			-----Original Message-----
			From: [email-masked]
[mailto:[email-masked]] 
			On Behalf Of Loa Andersson
			Sent: Monday, October 26, 2009 9:50 PM
			To: [email-masked]; [email-masked];
[email-masked]; [email-masked]
			Subject: [CCAMP] poll on 
			draft-swallow-mpls-tp-identifiers-02.txt for
wgdraft
			
			All,

			
			
			Send a mail to the [email-masked] mailing
list, indicating
			"yes/support" or "no/do not support".
			
			Comments on the content of the draft should be
sent to the same
			mailing list with a different subject line.
			
			The poll ends Sun Nov 8.
			
			/Loa
			
			MPLS WG co-chair

			-- 

			Loa Andersson                         email: 
			[email-masked]
			Sr Strategy and Standards Manager
[email-masked]
			Ericsson Inc                          phone: +46
10 717 52 13
	
+46 767 72 92 13

---

From: "Luyuan Fang (lufang)" <[email-masked]>
Date: Fri, 6 Nov 2009 12:27:27 -0500

Agree with Ben.
Luyuan

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On
Behalf Of [email-masked]
Sent: 06 November 2009 12:01
To: Stewart Bryant (stbryant); [email-masked]
Cc: [email-masked]
Subject: Re: [mpls-tp] poll on draft-swallow-mpls-tp-identifiers-02.txt
for wgdraft

Agreed, let's put the doc under the change control of the WG and then
address Italo's comments. I don't believe (IMO) Italo's comments prevent
us from taking the document under the change control of the WG. Ben

________________________________________
From: [email-masked] [[email-masked]] On Behalf Of
Stewart Bryant [[email-masked]]
Sent: Friday, November 06, 2009 4:58 PM
To: BUSI ITALO
Cc: [email-masked]
Subject: Re: [mpls-tp] poll on draft-swallow-mpls-tp-identifiers-02.txt
for wgdraft

Italo

Stewart

BUSI ITALO wrote:

3) Section 4

Thanks, Italo

-----Original Message-----
From: [email-masked]<mailto:[email-masked]>
[mailto:[email-masked]] On Behalf Of Loa Andersson
Sent: Monday, October 26, 2009 9:50 PM
To: [email-masked]<mailto:[email-masked]>;
[email-masked]<mailto:[email-masked]>;
[email-masked]<mailto:[email-masked]>;
[email-masked]<mailto:[email-masked]>
Subject: [CCAMP] poll on
draft-swallow-mpls-tp-identifiers-02.txt for wgdraft

All,

Send a mail to the [email-masked]<mailto:[email-masked]> mailing
list, indicating "yes/support" or "no/do not support".

Comments on the content of the draft should be sent to the same mailing
list with a different subject line.

The poll ends Sun Nov 8.

/Loa

MPLS WG co-chair

--

Loa Andersson                         email:

---

From: "Rolf Winter" <[email-masked]>
Date: Sat, 7 Nov 2009 06:10:49 +0100

All,

Independent of the question whether this document should become a WG draft or not could you comment on the three points Italo raises? To me they are valid points to be raised and I'd rather have a discussion about those than the status of the draft. What do the authors think?

Best,
	Rolf

NEC Europe Limited | Registered Office: NEC House, 1 Victoria Road, London W3 6BL | Registered in England 2832014 

> Behalf Of Stewart Bryant
> Sent: Freitag, 6. November 2009 17:59
> To: BUSI ITALO
> Cc: [email-masked]
> Moving a document to WG draft indicates that it is a good starting
> point from an overall technology point of view and that it should now
> move from the control of the individual authors to the control of the
> working group - i.e. a WG draft is a draft that the WG is working on.
> 
> 		                                              +46 767 72 92
> 13

---

From: Huub van Helvoort <[email-masked]>
Date: Sat, 07 Nov 2009 16:09:58 +0100

Hello Rolf,

> Independent of the question whether this document should become a WG draft or not could you comment on the three points Italo raises? To me they are valid points to be raised and I'd rather have a…

I fully agree with you.

BR, Huub.